#include <iostream>
#include<vector>
using namespace std;

int main()
{
int n,a;
cin>>n;
 int matrix[n][n];
 int mereg[n][n];
 for(int i=0;i<n;i++){
    for(int j=0;j<n;j++){
        cin>>a;
        matrix[i][j]=a;
    }
 }
 for(int i=0;i<n;i++){
    for(int j=0;j<n;j++){
        cin>>a;
        mereg[i][j]=a;
    }
 }

 int cs=1,i=0,j=0,osszmereg=0;
 while(cs!=0){
    if(mereg[i][j+1]<mereg[i+1][j]&&j!=n){
        osszmereg+=mereg[i][j+1];
        j++;
    }
    else{
       osszmereg+=mereg[i+1][j];
        i++;
    }

 if(j==n &&i==n ){
    cs=1;
    
 }

 }
 cout<<osszmereg;
    return 0;
}